#pragma once

#include <d3dx10.h>

namespace Marabunta
{
	namespace Mesh
	{
		class MeshModel
		{
		public:

			MeshModel(void);
			~MeshModel(void);

			//const per type
			ID3D10Buffer*				VertexBuffer;
			ID3D10Buffer*				IndexBuffer;
			UINT						NumberOfIndices;
			D3D10_INPUT_ELEMENT_DESC*	VertexLayout;
			UINT						NumElements;
			UINT						Stride;
			ID3D10InputLayout*			InputLayout;
			UINT						Offset;

		};
	}
}