#pragma once
#include "Node.h"
namespace Marabunta
{
	namespace Mesh
	{
		class StaticMesh;
		class AnimatedMesh;
	}


	namespace SceneManagement
	{
		class Node;

		class WorldObject : public Node
		{
		public:
			WorldObject(unsigned int id);
			~WorldObject(void);
				
			virtual unsigned int GetID();

			
		virtual void UpdateGS(float dt);
		virtual Marabunta::SceneManagement::BoundingVolume*  UpdateBS();

			bool _drawable;
			bool _collidable;
		protected:
			unsigned int _id;
		};
	}
}